2

I am planning to upgrade civicrm from version 4.2.9 to 4.7.23. For this can I directly upgrade it from 4.2.9 to 4.7.23? Or any other version I have to upgrade first and then to move to 4.7.23. Please suggest me steps for this.

Thanks in advance.

1

Yes. But make sure you are on 4.2.9, because

"If you are starting from a version prior to 4.2.9 you should upgrade to the latest 4.2 version as an interim step, as the latest version does not contain upgrade code going back that far."

and

"You can make big jumps in one upgrade (e.g. 4.5.2 to 4.7.20) without needing to apply all the upgrades in between."

The above quotes are from, and see more at: https://docs.civicrm.org/sysadmin/en/latest/upgrade/ .

| improve this answer | |
  • 1
    Ok. I will try. Thank you – Prasad kanalli Oct 3 '19 at 10:12
  • You're welcome. – Joe McLaughlin Oct 3 '19 at 17:47
  • and Prasad if that answer ^^^ works for you, please choose it as 'correct'/preferred, whatever :) . Thanks. I'm trying to 'level up'. – Joe McLaughlin Oct 3 '19 at 20:49
  • 1
    I am getting error as "Found installation canary. This suggests that something went wrong with tracking installation process. Please post to forum or JIRA." while upgrading this – Prasad kanalli Oct 10 '19 at 12:05
  • Aha Prasad, hmm. Also post the error message in town square channel at chat.civicrm.org . – Joe McLaughlin Oct 12 '19 at 9:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.